{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"Returns details of livestreams associated with the given App ID. It includes livestreams created by your App and RealtimeKit meetings that are livestreamed by your App. If you only want details of livestreams created by your App and not RealtimeKit meetings, you can use the `exclude_meetings` query parameter.","properties":{"path":{"type":"object","properties":{"account_id":{"$ref":"#/definitions/realtimekit_account_identifier"},"app_id":{"$ref":"#/definitions/realtimekit_app_id"}},"required":["account_id","app_id"],"additionalProperties":false},"query":{"type":"object","properties":{"exclude_meetings":{"type":"boolean","default":false,"description":"Exclude the RealtimeKit meetings that are livestreamed."},"per_page":{"type":"integer","description":"Number of results per page."},"page_no":{"type":"integer","description":"The page number from which you want your page search results to be displayed."},"status":{"type":"string","enum":["LIVE","IDLE","ERRORED","INVOKED"],"description":"Specifies the status of the operation."},"start_time":{"type":"string","format":"date-time","description":"Specify the start time range in ISO format to access the live stream."},"end_time":{"type":"string","format":"date-time","description":"Specify the end time range in ISO format to access the live stream."},"sort_order":{"type":"string","enum":["ASC","DSC"],"description":"Specifies the sorting order for the results."}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"realtimekit_account_identifier":{"description":"The account identifier tag.","type":"string","maxLength":32,"examples":["023e105f4ecef8ad9ca31a8372d0c353"]},"realtimekit_app_id":{"description":"The app identifier tag.","type":"string","examples":["14a396e7-ca44-4937-bf1f-050a69118543"]}}},"name":"Fetch all livestreams","id":"cloudflare.fetch_all_livestreams","example":{"path":{"account_id":"023e105f4ecef8ad9ca31a8372d0c353","app_id":"14a396e7-ca44-4937-bf1f-050a69118543"}},"maxRequests":1,"summary":false}}